Subject: Re: (Very) Simple question(s) compared to group topics

From: "Mark Chambers" <[email-masked]>
Date: Sat, 4 Dec 2004 10:08:42 -0500

If you go by MIPS, it takes very approximately 1000MIPS to decode DVD
quality MPEG2.
I don't think floating point helps with MPEG2, not sure about MPEG4.  You
also have to
think about memory bandwidth with an application like video.  All settop box
designs that
I'm aware of have some kind of MPEG decode coprocessor, either a separate
chip or built
into the main processor (like ATI Xilleon).

Mark Chambers
wvcomputronics.com

----- Original Message ----- 
From: "Bora Þahin" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, December 04, 2004 9:04 AM
Subject: (Very) Simple question(s) compared to group topics

> Hi,
>
>   I was subscribed to list a few days ago. I dont know this group is
eligible for my very simple or
>   basic questions compared to list topics. In one side asm codes is
discussed like one jump command
>   why not reach to symbol and the other side interrupt handling routines
is discussed like whether
>   or not critical interrupt handling is used in 405 EP. Subsequently, my
simple question is to stay
>   very basic. However if i get an answer(s) or redirections to correct
places, I can be very
>   grateful.
>
>   A bit summary about me...
>
>   So far, let say until the last one week or a bit over, I havent done any
work out of x86 including
>   any RISC cpu. I know inner workings of x86(asm) like segmentation,
paging, booting etc. not to be
>   very detailed. Before, I have dealt with mem. mag. especially in the
means of mm initialization,
>   booting, ...etc on the x86 imp. of the Linux kernel.
>
>   The subject...
>
>   PPC and 4xx series of it is absolutely new to me. We think to decode
"mpeg 4/level 5" coded films
>   on the 4xx series of ppc if it is possible. I examined a bit these cpus.
4xx series go to 700/800
>   MHZ clock freq but most of them dont contain floating point unit.(Only
one of them has fpu if my
>   memory dont serve me. I cant say it is connected. If i understand the
doc correctly, you can
>   connect a fpu to the system) This is just a point. I know clock freq is
not alone on the cpu
>   performance. I would like to hear experianced users testimonals or
thought about decoding of mpeg
>   performance of these cpus...
>
> -- 
> Bora Sahin
> borasahin.port5.com
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded